// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by odin

ServerEvents.recipes(event => {
    event.remove({ id: 'composite_material:etherite_helmet' })
    event.remove({ id: 'composite_material:etherite_chestplate' })
    event.remove({ id: 'composite_material:etherite_leggings' })
    event.remove({ id: 'composite_material:etherite_boots' })

    event.remove({ id: 'composite_material:echoium_helmet' })
    event.remove({ id: 'composite_material:echoium_chestplate' })
    event.remove({ id: 'composite_material:echoium_leggings' })
    event.remove({ id: 'composite_material:echoium_boots' })
});

ServerEvents.recipes(event => {
    event.smithing(
      'composite_material:etherite_helmet',
      'kubejs:etherite_smithing_template',
      'composite_material:echoium_helmet',
      'composite_material:etherite_ingot'
    )
    event.smithing(
      'composite_material:etherite_chestplate',
      'kubejs:etherite_smithing_template',
      'composite_material:echoium_chestplate',
      'composite_material:etherite_ingot'
    )
    event.smithing(
      'composite_material:etherite_leggings',
      'kubejs:etherite_smithing_template',
      'composite_material:echoium_leggings',
      'composite_material:etherite_ingot'
    )
    event.smithing(
      'composite_material:etherite_boots',
      'kubejs:etherite_smithing_template',
      'composite_material:echoium_boots',
      'composite_material:etherite_ingot'
    )


    event.smithing(
      'composite_material:echoium_helmet',
      'kubejs:echoium_smithing_template',
      'minecraft:netherite_helmet',
      'composite_material:echoium_ingot'
    )
    event.smithing(
      'composite_material:echoium_chestplate',
      'kubejs:echoium_smithing_template',
      'minecraft:netherite_chestplate',
      'composite_material:echoium_ingot'
    )
    event.smithing(
      'composite_material:echoium_leggings',
      'kubejs:echoium_smithing_template',
      'minecraft:netherite_leggings',
      'composite_material:echoium_ingot'
    )
    event.smithing(
      'composite_material:echoium_boots',
      'kubejs:echoium_smithing_template',
      'minecraft:netherite_boots',
      'composite_material:echoium_ingot'
    )
});